# Generated from ohm_util-0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ohm_util

Name: rubygem-%{gem_name}
Version: 0.1
Release: 1%{?dist}
Summary: Object-hash mapping library for Redis
License: MIT
URL: https://github.com/travisliu/ohm-util
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Ohm is a library that allows to store an object in Redis, a persistent
key-value database. It has very good performance.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.gems
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/benchmarks
%{gem_libdir}
%{gem_instdir}/makefile
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING
%doc %{gem_instdir}/README.md
%{gem_instdir}/examples
%{gem_instdir}/ohm-util.gemspec
%{gem_instdir}/test

%changelog
* Tue Aug 24 2021 mockbuilder - 0.1-1
- Initial package
